#!/bin/sh

_notify_brightness() {
    notify-send -h string:x-canonical-private-synchronous:brightness "Brightness: $1%" -h int:value:"$1" -i "$HOME/.config/{{ notification }}/idea.png"
}

case $1 in
up)
    if command -v light >/dev/null
    then
        light -A 5 >/dev/null
        brightness="$(light -G | cut -d '.' -f 1)"
        _notify_brightness "$brightness"
    elif command -v brightnessctl >/dev/null
    then
        brightnessctl set 5%+ >/dev/null
        brightness="$(brightnessctl i | grep '%' | awk -F'(' '{print $2}' | awk -F'%' '{print $1}')"
        _notify_brightness "$brightness"
    else
        brillo -l -A 5 >/dev/null
        brightness="$(brillo -G | cut -d '.' -f 1)"
        _notify_brightness "$brightness"
    fi ;;
down)
    if command -v light >/dev/null
    then
        light -U 5 >/dev/null
        brightness="$(light -G | cut -d '.' -f 1)"
        _notify_brightness "$brightness"
    elif command -v brightnessctl >/dev/null
    then
        brightnessctl set 5%- >/dev/null
        brightness="$(brightnessctl i | grep '%' | awk -F'(' '{print $2}' | awk -F'%' '{print $1}')"
        _notify_brightness "$brightness"
    else
        brillo -l -U 5 >/dev/null
        brightness="$(brillo -G | cut -d '.' -f 1)"
        _notify_brightness "$brightness"
    fi ;;
*)
    ;;
esac
